Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.actions.URIAction Class Reference
Inheritance diagram for com.foxit.sdk.pdf.actions.URIAction:

## Public Member Functions
| URIAction (Action action)
| Constructor, with parent class object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getURI () throws com.foxit.sdk.PDFException
| Get the URI string. More...
boolean | isTrackPosition () throws com.foxit.sdk.PDFException
| Check whether to track the mouse position when the URI is resolved. More...
void | setTrackPositionFlag (boolean is_track_position) throws com.foxit.sdk.PDFException
| Set the value for tracking position flag. More...
void | setURI (String uri) throws com.foxit.sdk.PDFException
| Set the URI string. More...
Public Member Functions inherited from com.foxit.sdk.pdf.actions.Action
| Action (PDFDoc document, PDFDictionary action_dict)
| Constructor, with parameters. More...
| Action (Action action)
| Constructor, with another action object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PDFDictionary | getDict () throws com.foxit.sdk.PDFException
| Get PDF dictionary of current object. More...
PDFDoc | getDocument () throws com.foxit.sdk.PDFException
| Get the PDF document, to which current action belongs. More...
Action | getSubAction (int index) throws com.foxit.sdk.PDFException
| Get a sub-action by index. More...
int | getSubActionCount () throws com.foxit.sdk.PDFException
| Get the count of sub-actions. More...
int | getType () throws com.foxit.sdk.PDFException
| Get action type. More...
void | insertSubAction (int index, Action sub_action) throws com.foxit.sdk.PDFException
| Insert a new sub-action to the location specified by index. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | removeAllSubActions () throws com.foxit.sdk.PDFException
| Remove all the sub-actions. More...
void | removeSubAction (int index) throws com.foxit.sdk.PDFException
| Remove a sub-action, specified by index. More...
void | setSubAction (int index, Action sub_action) throws com.foxit.sdk.PDFException
| Set a sub-action by index. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Additional Inherited Members
Static Public Member Functions inherited from com.foxit.sdk.pdf.actions.Action
static Action | create (PDFDoc document, int action_type) throws com.foxit.sdk.PDFException
| Create a new action, for specified action type. More...
Static Public Attributes inherited from com.foxit.sdk.pdf.actions.Action
static final int | e_NewWindowFlagFalse = 0
| "NewWindow" flag is false.
static final int | e_NewWindowFlagNone = 2
| No "NewWindow" flag.
static final int | e_NewWindowFlagTrue = 1
| "NewWindow" flag is true.
static final int | e_TypeGoto = 1
| Action type: go-to action.
static final int | e_TypeGoTo3DView = 18
| Action type: go-to-3D-view action.
static final int | e_TypeGoToE = 3
| Action type: embedded go-to action.
static final int | e_TypeGoToR = 2
| Action type: remote go-to action.
static final int | e_TypeHide = 9
| Action type: hide action.
static final int | e_TypeImportData = 13
| Action type: import-data action.
static final int | e_TypeJavaScript = 14
| Action type: JavaScript action.
static final int | e_TypeLaunch = 4
| Action type: launch action.
static final int | e_TypeMovie = 8
| Action type: movie action.
static final int | e_TypeNamed = 10
| Action type: named action.
static final int | e_TypeRendition = 16
| Action type: rendition action.
static final int | e_TypeResetForm = 12
| Action type: reset-form action.
static final int | e_TypeSetOCGState = 15
| Action type: set-OCG-state action.
static final int | e_TypeSound = 7
| Action type: sound action.
static final int | e_TypeSubmitForm = 11
| Action type: submit-form action.
static final int | e_TypeThread = 5
| Action type: thread action.
static final int | e_TypeTrans = 17
| Action type: transition action.
static final int | e_TypeUnknown = 0
| Action type: unknown action.
static final int | e_TypeURI = 6
| Action type: uniform resource identifier (URI) action.

## Detailed Description

URI (uniform resource identifier) action is an action that causes a URI to be resolved. Class com.foxit.sdk.pdf.actions.URIAction is derived from Action and offers functions to get/set URI action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ URIAction()

com.foxit.sdk.pdf.actions.URIAction.URIAction | ( | Action | action | ) |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.actions.URIAction.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getURI()

String com.foxit.sdk.pdf.actions.URIAction.getURI | ( |  | ) | throws com.foxit.sdk.PDFException

Get the URI string.

Returns
  URI string.

## ◆ isTrackPosition()

boolean com.foxit.sdk.pdf.actions.URIAction.isTrackPosition | ( |  | ) | throws com.foxit.sdk.PDFException

Check whether to track the mouse position when the URI is resolved.

Returns
  true means application should track the mouse position, while false means no need to track the mouse position.

## ◆ setTrackPositionFlag()

void com.foxit.sdk.pdf.actions.URIAction.setTrackPositionFlag | ( | boolean | is_track_position | ) | throws com.foxit.sdk.PDFException

Set the value for tracking position flag.

Parameters

  [in] | is_track_position | true means to track position, while false means not to track position.

Returns
  None.

## ◆ setURI()

void com.foxit.sdk.pdf.actions.URIAction.setURI | ( | String | uri | ) | throws com.foxit.sdk.PDFException

Set the URI string.

Parameters

  [in] | uri | A URI string to be set. It should not be an empty string.

Returns
  None.